Gecode::Group Class Reference
Functionality by programming task » Programming models » Propagator and brancher groups

Group baseclass for controlling actors. More...

`#include <core.hpp>`

## Protected Member Functions

| Group (unsigned int gid0)
| Construct with predefined group id gid0.

## Protected Attributes

unsigned int | gid
| The group id.

## Static Protected Attributes

static const unsigned int | GROUPID_ALL = 0U
| Fake id for group of all actors.
static const unsigned int | GROUPID_DEF = 1U
| Pre-defined default group id.
static const unsigned int | GROUPID_MAX = UINT_MAX >> 2
| The maximal group number.
static unsigned int | next = GROUPID_DEF+1
| Next group id.
static Support::Mutex | m
| Mutex for protection.

## Construction and access

static Group | all
| Group of all actors.
static Group | def
| Group of actors not in any user-defined group.
| Group (void)
| Constructor.
| Group (const Group &g)
| Copy constructor.
Group & | operator= (const Group &g)
| Assignment operator.
unsigned int | id (void) const
| Return a unique id for the group.
bool | in (Group a) const
| Check whether actor group a is included in this group.
bool | in (void) const
| Check whether this is a real group (and not just default).

## Detailed Description

Group baseclass for controlling actors.

Definition at line 673 of file core.hpp.

## Constructor & Destructor Documentation

## Group() [1/3]

Gecode::Group::Group | ( | unsigned int | gid0 | ) |

inline protected

Construct with predefined group id gid0.

Definition at line 4953 of file core.hpp.

## Group() [2/3]

Gecode::Group::Group | ( | void |  | ) |

Constructor.

Definition at line 921 of file core.cpp.

## Group() [3/3]

Gecode::Group::Group | ( | const Group & | g | ) |

inline

Copy constructor.

Definition at line 4966 of file core.hpp.

## Member Function Documentation

## operator=()

Group & Gecode::Group::operator= | ( | const Group & | g | ) |

inline

Assignment operator.

Definition at line 4969 of file core.hpp.

## id()

unsigned int Gecode::Group::id | ( | void |  | ) | const

inline

Return a unique id for the group.

Definition at line 4974 of file core.hpp.

## in() [1/2]

bool Gecode::Group::in | ( | Group | a | ) | const

inline

Check whether actor group a is included in this group.

Definition at line 4956 of file core.hpp.

## in() [2/2]

bool Gecode::Group::in | ( | void |  | ) | const

inline

Check whether this is a real group (and not just default).

Definition at line 4961 of file core.hpp.

## Member Data Documentation

## GROUPID_ALL

const unsigned int Gecode::Group::GROUPID_ALL = 0U

static protected

Fake id for group of all actors.

Definition at line 683 of file core.hpp.

## GROUPID_DEF

const unsigned int Gecode::Group::GROUPID_DEF = 1U

static protected

Pre-defined default group id.

Definition at line 685 of file core.hpp.

## GROUPID_MAX

const unsigned int Gecode::Group::GROUPID_MAX = UINT_MAX >> 2

static protected

The maximal group number.

Definition at line 687 of file core.hpp.

## gid

unsigned int Gecode::Group::gid

protected

The group id.

Definition at line 689 of file core.hpp.

## next

unsigned int Gecode::Group::next = GROUPID_DEF+1

static protected

Next group id.

Definition at line 692 of file core.hpp.

## m

Support::Mutex Gecode::Group::m

static protected

Mutex for protection.

Definition at line 695 of file core.hpp.

## all

Group Gecode::Group::all

static

Group of all actors.

Definition at line 717 of file core.hpp.

## def

Group Gecode::Group::def

static

Group of actors not in any user-defined group.

Definition at line 720 of file core.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/core.hpp
- gecode/kernel/core.cpp